Summary:	PSI - Jabber client
Summary(de.UTF-8):	PSI - ein Instant Messaging Client-Programm für Jabber
Summary(pl.UTF-8):	PSI - klient Jabbera
Name:		psi-plus
Version:	0.16.475
Release:	1
License:	GPL v2+ / LGPL v2.1+
Group:		Applications/Communications
Source0:	https://github.com/psi-plus/psi-plus-snapshots/archive/%{version}.tar.gz
# Source0-md5:	2ac3dd3f303c268f121730448242d4df
URL:		https://github.com/psi-plus/psi-plus-snapshots
BuildRequires:	Qt3Support-devel
BuildRequires:	QtCore-devel
BuildRequires:	QtDBus-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSvg-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXml-devel
BuildRequires:	aspell-devel
BuildRequires:	libidn-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7c
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qt4-build >= 4.4.0
BuildRequires:	qt4-linguist >= 4.4.0
BuildRequires:	qt4-qmake >= 4.4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	which
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-proto-scrnsaverproto-devel
BuildRequires:	xz >= 1:4.999.7
BuildRequires:	zlib-devel
Requires:	gstreamer-v4l2
Requires:	qt4-plugin-qca-ossl
Suggests:	gpgme >= 1.0.0
Provides:	psi = %{version}-%{relase}
Obsoletes:	psi < 0.16
Obsoletes:	qt-designer-psiwidgets
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PSI is a communicator for the Jabber open messaging system. It is
based on the Qt library. It supports SSL encrypted connections. The
default behaviour for SSL was changed so that it looks for SSL
certificates in $DATADIR/certs or in ~/.psi/certs.

Psi+ is a development branch of Psi IM Jabber client.

%description -l de.UTF-8
Psi ist ein Instant Messaging (IM) Client-Programm für das
Jabber-Protokoll (XMPP), welches das Qt Toolkit nutzt.

%description -l pl.UTF-8
PSI jest komunikatorem dla otwartego systemu wiadomości Jabber. Został
stworzony w oparciu o bibliotekę Qt. PSI wspiera połączenia szyfrowane
SSL. W stosunku do domyślnego zachowania komunikatora została
wprowadzona zmiana, która powoduje, że certyfikaty SSL są poszukiwane
w katalogu $DATADIR/certs lub ~/.psi/certs.

Psi+ jest rozwojową gałęzią komunikatora Psi IM Jabber.

%prep
%setup -q -n %{name}-snapshots-%{version}

%build
./configure \
	--prefix=%{_prefix} \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--enable-webkit \
	--enable-whiteboarding \
	--enable-plugins \
	--no-separate-debug-info

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

export QTDIR=%{_libdir}/qt4

install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/psi-plus
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Thu Sep 17 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/psi-plus.git;a=log;h=master

* Thu Sep 17 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0364eb4
- up to 0.16.475

* Fri Aug 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 114636f
- up to 0.16.471; fix files

* Tue Aug 25 2015 Jan Rękorajski <baggins@pld-linux.org> a086d2f
- drop compat symlinks (psi+ is devel/beta version of psi)

* Tue Aug 25 2015 Jan Rękorajski <baggins@pld-linux.org> 2c2324d
- add missing BRs
- add compat symlinks
- rel 2

* Tue Aug 18 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fb0427
- up to 0.16.470

* Wed Jun 17 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 98bd98b
- up to 0.16.457.1

* Wed Mar 25 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c8d5871
- up to 0.16.449

* Fri Feb 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> bb4d1ca
- up to 0.16.447; use upstream tarball; drop all patches (need to be reworked)

* Thu Sep 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5620a0f
- show which patch is applied; exclude git/svn dirs

* Thu Sep 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d464a43
- up to 4128; fixed build

* Fri Sep 09 2011 lisu <lisu@pld-linux.org> 33fe7b1
- fix Qt problems

* Fri Sep 09 2011 lisu <lisu@pld-linux.org> de51cd3
- adjusted for new revision

* Fri Sep 09 2011 lisu <lisu@pld-linux.org> bf9cd02
- updated to 0.15.4127M

* Fri Jul 22 2011 lisu <lisu@pld-linux.org> 8e31d1b
- updated to 0.15.4122

* Mon Jun 27 2011 lisu <lisu@pld-linux.org> 8513c76
- updated to 0.15.4118

* Tue Jun 21 2011 lisu <lisu@pld-linux.org> 8616353
- updated to 0.15.4085

* Thu Jun 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b7f2a2b
- rel .2

* Wed Jun 15 2011 lisu <lisu@pld-linux.org> cd90fd8
- updated to 0.15.4040

* Tue Jun 14 2011 marti <marti@pld-linux.org> 47aaa4a
- up to 0.15.4036

* Sat May 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3718570
- rel .4; gstreamer-video4linux no longer exists

